Support » Plugin: Widget Importer & Exporter » Very Disappointed. Didn’t Work! :(

  • I had high hopes for this plugin. But it didn’t work.

    I’d created a child theme for my client’s site, so that I could make a few amendments to the layout of the theme. However, when I activated it child theme, I soon realised that it had left the widgets I’d set up in the parent theme.

    So I installed this plugin, thinking I’d be able to export theme from the parent theme and then re-import them into the child theme.

    I then re-activated the parent theme and exported the widgets. So far, so good; or so I thought!

    Then I re-activated the child theme and went about importing the widgets .wie file.

    However, it just came up with an error message, “You must upload a .wie file generated by this plugin.”

    Duh!!! That’s exactly what I’d just done!!!

    I comes to something when a plugin cannot recognise a file that it itself has just created.

    MASSIVE FAIL!!

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Steven Gliebe

    (@stevengliebe)

    This is a known bug in WordPress 4.7.1 which was released a few days ago. It is not caused by the plugin. Uploads of various types (no matter where in WordPress they are uploaded) are failing on some servers. The workaround is to activate the plugin below until WordPress 4.7.2 fixes the bug.

    https://wordpress.org/plugins/disable-real-mime-check/

    I kindly ask that you revise your rating to reflect this. There is no problem with the plugin itself but rather with WordPress, so it is out of my hands. See this thread in the plugin’s support forum. It’s helpful to search / post in a plugin’s forum before leaving a review. A lot of plugin authors provide free support for free plugins.

    https://wordpress.org/support/topic/you-must-upload-a-wie-file-generated-by-this-plugin-2/

    Also see the Trac ticket if you are interested watching how WordPress contributors are working on a the fix for WordPress 4.7.2.

    https://core.trac.wordpress.org/ticket/39550

    I think you will find Widget Importer & Exporter to be useful but let me know if for some reason, after installing the workaround plugin above, you still encounter any issue. Just open a support ticket on the forum and I’ll be glad to take a look. Thank you.

    Plugin Author Steven Gliebe

    (@stevengliebe)

    I added a workaround for this bug in WordPress directly to the plugin so you can simply update to 1.4.2 now instead of using the workaround plugin or waiting for WordPress 4.7.2.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Very Disappointed. Didn’t Work! :(’ is closed to new replies.